summaryrefslogtreecommitdiff
path: root/source4/script/tests/win/wintest_raw.sh
diff options
context:
space:
mode:
authorBrad Henry <brad@samba.org>2006-10-24 01:18:07 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:21:37 -0500
commit2fa394a51aa0b02d573bc4c5d2bcd8a547f970ea (patch)
treea0232174cd3dda30bfe0bf12de154a6a92d4ce8c /source4/script/tests/win/wintest_raw.sh
parentac83f285a17cedeb8c40e66f79253b57a56a5ceb (diff)
downloadsamba-2fa394a51aa0b02d573bc4c5d2bcd8a547f970ea.tar.gz
samba-2fa394a51aa0b02d573bc4c5d2bcd8a547f970ea.tar.bz2
samba-2fa394a51aa0b02d573bc4c5d2bcd8a547f970ea.zip
r19471: Move BASE and RAW tests to their own scripts. Run the same set of tests as 'make test' does, at least for those that pass.
Comment the tests that don't pass. (This used to be commit 33760cfe94f8a4a0e4441dd8fb5089cf8c26487f)
Diffstat (limited to 'source4/script/tests/win/wintest_raw.sh')
-rwxr-xr-xsource4/script/tests/win/wintest_raw.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/source4/script/tests/win/wintest_raw.sh b/source4/script/tests/win/wintest_raw.sh
new file mode 100755
index 0000000000..2459b21d6d
--- /dev/null
+++ b/source4/script/tests/win/wintest_raw.sh
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+. script/tests/test_functions.sh
+
+. script/tests/win/wintest_functions.sh
+
+# This variable is defined in the per-hosts .fns file.
+. $WINTESTCONF
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_net.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+raw_tests="RAW-QFILEINFO RAW-SFILEINFO RAW-MKDIR RAW-SEEK RAW-OPEN RAW-WRITE RAW-UNLINK RAW-READ RAW-CLOSE RAW-IOCTL RAW-RENAME RAW-EAS RAW-STREAMS"
+# This test fails: RAW-QFSINFO
+
+all_errs=0
+
+for t in $raw_tests; do
+ test_name="$t / WINDOWS SERVER"
+ echo -e "\n$test_name SETUP PHASE"
+
+ setup_share_test
+
+ if [ $err_rtn -ne 0 ]; then
+ # If test setup fails, load VM snapshot and skip test.
+ restore_snapshot "\n$test_name setup failed, skipping test."
+ else
+ echo -e "\n$test_name setup completed successfully."
+ old_errs=$all_errs
+
+ testit "$test_name" $SMBTORTURE_BIN_PATH \
+ -U $username%$password \
+ -W $domain //$server/$SMBTORTURE_REMOTE_SHARE_NAME \
+ $t || all_errs=`expr $all_errs + 1`
+ if [ $old_errs -lt $all_errs ]; then
+ restore_snapshot "\n$test_name failed."
+ else
+ echo -e "\n$test_name CLEANUP PHASE"
+ remove_share_test
+ if [ $err_rtn -ne 0 ]; then
+ # If cleanup fails, restore VM snapshot.
+ restore_snapshot "\n$test_name removal failed."
+ else
+ echo -e "\n$test_name removal completed successfully."
+ fi
+ fi
+ fi
+done
+
+testok $0 $all_errs